<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
 >
 <xsl:output method="html" encoding="utf-8" version="5.0"
  />
 <xsl:template match="MSlist">
  <html lang="en">
   <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
     <title>Euripides Scholia: Manuscripts</title>
     
      <link rel="stylesheet" href="EurSchSite2020.css" type="text/css" />
   </head>
   <body>
    <div class="outerbackground"><div class="centered"><div class="banner"><table class="banner"><tr><td class="bannerImage"><a
     href="index.html"><img src="EurSchicon64x64.jpg" height="64" width="64" alt="icon for Euripides Scholia" /></a></td><td class="bannerTitle"><p class="bannerTitle">Euripides Scholia<br /><span class="subtitle">An Open-Access Online Edition</span></p></td></tr></table>
     
     <p class="navig">&#160;&#160;&#160;<a href="EurSch2020_About.html" >About</a>&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;<a href="EurSch2020_Preface.html">Preface</a>&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;<a href="EurSch2020_Manuscripts.html">The Manuscripts</a>&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;<a href="Edition/OrestesScholia_all.html" target="_blank">Edition</a>&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;<a href="EurSch2020_SiglaTable.html">Sigla Table</a>&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;<a href="EurSch2020_Bibliography.html">Bibliography</a>&#160;&#160;&#160;&#160;|&#160;&#160;&#160;&#160;<a href="EurSch2020_Abbreviations.html">Abbreviations</a></p></div>
    <h2>Manuscripts with Scholia on Euripides</h2>
    
    <p>See also the <a href="EurSch2020_SiglaTable.html">Sigla Table</a> for Euripidean manuscripts.</p>
    <xsl:for-each-group select="//manuscript" group-by="@type">
     <hr/><h3><!--<xsl:value-of select="current-grouping-key()"></xsl:value-of>-->
      <xsl:if test="@type eq
       'earlyFrag'">Fragments of bookrolls or codices earlier than 800 CE</xsl:if>
      <xsl:if test="@type eq
      'pre1250'">Manuscripts written before 1250</xsl:if>
      <xsl:if test="@type eq
       'post1250'">Manuscripts written after 1250</xsl:if>
      <xsl:if test="@type eq
       'mosch'">Manuscripts with Moschopulean scholia</xsl:if>
      <xsl:if test="@type eq
       'thom'">Manuscripts with Thoman scholia</xsl:if>
      <xsl:if test="@type eq
       'tricl'">Manuscripts with Triclinian scholia</xsl:if>
      <xsl:if test="@type eq
       'miscLater'">Miscellaneous later manuscripts with scholia</xsl:if>
     </h3><hr/>
     <xsl:for-each select = "current-group()"><xsl:apply-templates></xsl:apply-templates><hr/></xsl:for-each>
    </xsl:for-each-group>
    <hr></hr>
     <p class="license"><a href="EurSch2020_About.html#license"><img width="45" height="16"
      alt="Creative Commons License icon" style="border-width:0" src="by-nc-sa.png" />&#160;&#160;CC License details</a>.</p>
     <p class="license">Feedback and corrigenda are welcome. Please use the Contact link in the footer.</p>
     
     <p class="footer">&#169; 2020 <a href="http://ucbclassics.dreamhosters.com/djm/"
      target="_parent">Donald J. Mastronarde</a><br></br><a 
       href="EurSch2020_About.html#contact">Contact</a></p><p>&#160;</p>
     
    </div></div>
    
   </body>
  </html>
 </xsl:template><!-- <xsl:template match="manuscript">

  <xsl:apply-templates/>
  <hr/>
 </xsl:template>
-->


 <xsl:template match="siglum">
  <p class="siglum">
   <span class="label">SIGLUM: </span>
   <span class="siglum">
    <xsl:apply-templates/>
   </span><!--&#160;&#160;
   <span class="label">GROUP: </span>
   <span class="groupType">
    <xsl:value-of select="../@type"/>&#160;&#160;&#160;<xsl:value-of
     select="../@secondType"/>&#160;&#160;&#160;<xsl:value-of select="../@thirdType"/>
   </span>-->
  </p>
 </xsl:template>

 <xsl:template match="otherSigla">
  <p class="general">
   <span class="label">PREVIOUS OR OTHER SIGLA: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>

 <xsl:template match="city">
  <p class="general">
   <span class="label">CITY: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="collection">
  <p class="general">
   <span class="label">COLLECTION: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="shelfmark">
  <p class="general">
   <span class="label">SHELFMARK: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="date">
  <p class="general">
   <span class="label">DATE: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="diktyon">
  <p class="general">
   <span class="label">NUMÉRO DIKTYON: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="catalogue">
  <p class="general">
   <span class="label">CATALOGUE (later than Turyn 1957): </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 
 
 
 <xsl:template match="paginationContents">
  <p class="general">
   <span class="label">EURIPIDEAN CONTENTS: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="typeAndFormat">
  <p class="general">
   <span class="label">TYPE AND FORMAT: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="hands">
  <p class="general">
   <span class="label">HANDS: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 
 
 <xsl:template match="imagesUsed">
  <p class="general">
   <span class="label">IMAGES USED: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>
 <xsl:template match="onLineImages">
  <p class="general">
   <span class="label">ONLINE IMAGES: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>

 <xsl:template match="link">
  <a  class="imageURL">
   <xsl:attribute name="href">
    <xsl:value-of select="linkURL"/>
   </xsl:attribute>
   <xsl:attribute name="target">_blank</xsl:attribute>
   
   <xsl:value-of select="linkName"/>
  </a>&#160;&#160;&#160;

 </xsl:template>

 <xsl:template match="bibliography1">
  <p class="general">
   <span class="label">SELECT BIBLIOGRAPHY: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>

 <xsl:template match="bibliography2">
  <p class="general">
   <span class="label">FURTHER BIBLIOGRAPHY: </span>
   <xsl:apply-templates/>
  </p>
 </xsl:template>

 <xsl:template match="discussion">
  <p class="general">
   <span class="label">DISCUSSION: </span>
  <xsl:apply-templates/>  
  </p>

 </xsl:template>

 <xsl:template match="p">
  <xsl:apply-templates/>

 </xsl:template>

 <xsl:template match="seg">
  <xsl:choose>

   <xsl:when test="(@type='discuss')">
    <p class="discuss">
     <xsl:apply-templates/>
    </p>
   </xsl:when>
   <xsl:when test="(@type='witMod')">
    <sup>
     <xsl:apply-templates/>
    </sup>
   </xsl:when>
   <xsl:otherwise>
    <p class="general">
     <xsl:apply-templates/>
    </p>
   </xsl:otherwise>
  </xsl:choose>

 </xsl:template>

</xsl:stylesheet>
